Unit taeh3e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AEH3E_p;

function taeh3e: String;

implementation

function taeh3e: String;
var
J,I,N,MM,_i,M,IERR :Integer;
RLB,RUB :Extended;
V :Array [0..11] of Extended;
EV :Array [0..2] of Extended;
IRAB1 :Array [0..2] of Integer;
RAB1 :Array [0..31] of Extended;
const
A :Array [0..15] of Extended = ( 1.0e0,0.42e0,0.54e0,0.66e0,0.42e0,1.0e0,0.32e0,
0.44e0,0.54e0,0.32e0,1.0e0, 0.22e0,0.66e0,0.44e0,
0.22e0,1.0e0 );
begin
Result := '';  {   }
Result := Result + #$0D#$0A;
Result := Result + Format('%s',
 [#$0D#$0A + ' BCEHE HEKOTOPX COCTBEHHX HAEH  COOTBETCTBX COCTBEHHX' + #$0D#$0A +
 ' BEKTOPOB BEECTBEHHO CMMETPECKO MATP, AAHHO C BOEHHO ' + #$0D#$0A +
 'TOHOCT' + #$0D#$0A +
 ' A' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
N := 4;
MM := 3;
RLB := 0.e0;
RUB := 1.e0;
AEH3E(N,A,V,EV,RLB,RUB,MM,M,IRAB1,RAB1,IERR);
Result := Result + Format('%s',[#$0D#$0A + ' PETAT']) + #$0D#$0A; 
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' A' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 4 do
   begin
    Result := Result + Format('%20.16f ',[A[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' EV' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[EV[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' V' + #$0D#$0A]);
for I:=1 to 4 do
 begin
  for J:=1 to 3 do
   begin
    Result := Result + Format('%20.16f ',[V[(I-1)+(J-1)*4]]) + #$0D#$0A;
   end;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%s',[#$0D#$0A + ' IERR' + #$0D#$0A]);
Result := Result + Format('%8d ',[IERR]) + #$0D#$0A;
UtRes('taeh3e',Result);  {     taeh3e.res }
exit;
end;

end.
